#!/bin/sh -x
# Repack tarball because of data files with unclear license,
# probably non-free OGC Document Notice licesed.

set -e

# Remark: A new uscan that enables easier handling of removing files can be
#         obtained via
#   git clone git://tille@git.debian.org/git/users/tille/devscripts.git
#         and then copy scripts/uscan.pl as uscan at the beginning of your PATH
if uscan --help | grep -q -- --repack-compression ; then
    echo "Use new enhanced uscan"
    uscan --verbose --force-download
    exit
fi

# Falling back to manually removing files

PACKAGE=`dpkg-parsechangelog | sed -n 's/^Source: //p'`
VERSION=`dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//'`

uscan --verbose --force-download --no-symlink

gunzip -c ../${PACKAGE}-${VERSION}.tar.gz | tar --delete --wildcards -vf - ${PACKAGE}-${VERSION}/extras/ogc_test_suite/\* | GZIP="--best --no-name" gzip -c > ../${PACKAGE}_${VERSION}+dfsg.orig.tar.gz

